AsterNet Class Library (Sandcastle documentation)

| ManagerConnection AgentCalled Event

An AgentCalled is triggered when an agent is ring.
To enable AgentCalled you have to set eventwhencalled = yes in queues.conf.

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public event AgentCalledEventHandler AgentCalled

    Public Event AgentCalled As AgentCalledEventHandler

    public:
     event AgentCalledEventHandler^ AgentCalled {
    	void add (AgentCalledEventHandler^ value);
    	void remove (AgentCalledEventHandler^ value);
    }

    member AgentCalled : IEvent<AgentCalledEventHandler,
        AgentCalledEvent>

#### Value

Type: AsterNET.Manager
AgentCalledEventHandler
See Also

#### Reference

ManagerConnection Class
AsterNET.Manager Namespace